.\" $NetBSD: modstat.8,v 1.4 2009/10/02 18:50:14 elad Exp $
.\"
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd October 2, 2009
.Dt MODSTAT 8
.Os
.Sh NAME
.Nm modstat
.Nd display status of loaded kernel modules
.Sh SYNOPSIS
.Nm
.Op Fl n Ar name
.Sh DESCRIPTION
The
.Nm
utility displays the status of any kernel modules
present in the kernel.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl n Ar name
Display the status of only the module with this name.
.El
.Pp
In addition to listing the currently loaded modules' name,
the information reported by
.Nm
includes:
.Pp
.Bl -tag -width Loadaddr
.It Li CLASS
Module class, such as
"vfs", "driver", "exec", "misc" or "secmodel".
.It Li SOURCE
Where the module was loaded from.
.Qq Dv builtin
indicates that the module was built into the running kernel.
.Qq Dv boot
indicates that the module was loaded during system bootstrap.
.Qq Dv filesys
indicates that the module was loaded from the file system.
.It Li SIZE
Size of the module in bytes.
.It Li REFS
Number of references held on the module.
.It Li REQUIRES
Additional modules that must be present.
.El
.Sh EXIT STATUS
The
.Nm
utility exits with a status of 0 on success
and with a nonzero status if an error occurs.
.Sh SEE ALSO
.Xr modload 8 ,
.Xr modunload 8
.Sh HISTORY
The
.Nm
command was designed to be similar in functionality
to the corresponding command in
.Tn "SunOS 4.1.3" .
